#!/usr/bin/tclsh

# --
# Copyright (C) 2000 by Dr. Franz-Josef Huecker
# w3: http://www.huecker.com ; email: info@huecker.com
# Script: hc_index.cgi, V. 1.2, evaluation copy
#
# Required: tcl.lib, and glimpseindex !
# --

# --
# Begin of Setup !						   -* your *-

set email charly@your-domain.com                               ;# e-mail address
set domain "your-domain.com"                                   ;# name of domain
set glimpse_path /usr/bin                                      ;# glimpseindex
set gifs /gifs                                                 ;# images path
set index_path /home/www/pub/your-domain.com/cgi-bin/index     ;# index path
set html_path /home/www/pub/your-domain.com                    ;# html path
set URL http://www.your-domain.com                             ;# URL
set homepage welcome.html                                      ;# name of homepage

# End of Setup !
# --

source tcl.lib

cgi_var status

puts "Content-type: text/html"
puts {

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 //EN">
<!--Autor: Dr. Franz-Josef Huecker, Berlin/Germany, 01.00-->

<html>
 <head>
}

puts "<title>$domain > create index</title>"

if {$status=="create"} {

puts {
 </head>

<body bgcolor=#ffffff text=#000000 link=#000080 vlink=#800080>

}

# --

catch {
set index [exec $glimpse_path/glimpseindex -X -b -n -H $index_path $html_path 2>/dev/null]
eval exec chmod 755 [glob $index_path/.*]
}

if ![info exists index] {

puts "<font size=2 face=\"Verdana, Arial\">glimpseindex encountered an error</font>"

}

# --

puts {

<center><br><table bgcolor=#ffffff width=95% border=0 cellpadding=10 cellspacing=0>
<tr><td width=20% align=left valign=top>
}

puts "<br><br><br><br><a href=\"hc_search.cgi\"><img src=\"$gifs/hc_search.jpg\" border=0 alt=\"search $domain\"></a>"

puts "</td><td width=80% align=left valign=top>
<font size=2 face=\"Verdana, Arial\" color=#000080>
<p><strong>$domain</strong></font>
<hr size=1 width=52% align=left>"

puts "<font size=2 face=\"Verdana, Arial\"><p><br>&#160; &#160; Voila!
<br>&#160; &#160; &#160;  &#160; Index successful created.</font>"

catch {
puts "<p>--<br>"
puts "<pre>$index</pre>"
}

puts "<p>--<p><a href=\"hc_search.cgi\">search</a> | <a href=\"/$homepage\">home</a>"

puts {
<p><hr size=1 width=52% align=left>
<font size="1" face="Verdana, Arial">&copy; 2000 Franz-Josef H&uuml;cker. All Rights Reserved.</font>

</td></tr>
</table></center>
}

# --

} elseif {$status=="working"} {

if ![file exists $glimpse_path/glimpseindex] {

puts "<font size=2 face=\"Verdana, Arial\">glimpseindex not found</font>"

} elseif ![file exists $index_path] {

puts "<font size=2 face=\"Verdana, Arial\">index directory not found</font>"

} elseif ![file exists $html_path] {

puts "<font size=2 face=\"Verdana, Arial\">html directory not found</font>"

} else {

puts "<meta http-equiv=\"refresh\" content=\"3; URL=hc_index.cgi?status=create\">"

puts {

</head>

<body bgcolor=#ffffff text=#000000 link=#000080 vlink=#800080>

<center>
<table bgcolor=#ffffff width=60% height=90% border=0 cellpadding=10 cellspacing=0>
<tr><td align=left valign=middle>

<br><font size=2 face="Verdana, Arial"> &#160;  &#160; Wait a moment.
<p>Glimpse is <blink><font color=#ff0000><strong>indexing</strong></font></blink> ...</font>

</td></tr>
</table>
</center>

 </body>
</html>

  }
 }
} else {

puts {
 </head>

<body bgcolor=#ffffff text=#000000 link=#000080 vlink=#800080>

}

puts {

<center>
<p><br><br><br><br><br><table bgcolor=#ffffff width=95% border=0 cellpadding=10 cellspacing=0>
<tr><td width=20% align=left valign=middle>

}

puts "<a href=\"/$homepage\"><img src=\"$gifs/hc_search.jpg\" border=0 alt=\"search $domain\"></a>
</td><td width=80% align=left valign=bottom>
<font size=2 face=\"Verdana, Arial\" color=#000080><strong>$domain</strong></font>
<br><hr size=1 width=52% align=left>"

puts {

<blockquote><p><br><font size=2 face="Verdana, Arial"><strong>
[ <a href="hc_index.cgi?status=working">Create or update Index</a> ]
</strong></font></blockquote>

<p><br><hr size=1 width=52% align=left>
<font size="1" face="Verdana, Arial">&copy; 2000 Franz-Josef H&uuml;cker. All Rights Reserved.</font>

</td></tr>
</table>
</center>

 </body>
</html>

 }
}